# Poke Tool

Library: | Base
Introduced: | 2.0 Beta 1

## Behavior

The Poke Tool is for manipulating the current values associated with components. The precise behavior of the Poke Tool varies depending on which component is clicked; this behavior is documented in the `Poke Tool Behavior' section of each individual component. The following components all have support for the Poke Tool.

> Base library | Pin Clock
> Memory library | D/T/J-K/S-R Flip-Flop Register Counter Shift Register RAM ROM
> Input/Output library | Button Joystick Keyboard

Also, clicking a wire segment using the Poke tool displays the value currently carried by the wire, as described on the Wiring Tool's page.

## Attributes

None. Clicking on a component supporting the Poke Tool, though, will display that component's attributes.

Back to Library Reference